edu.wpi.cscore

## Enum VideoSink.Kind

- java.lang.Object
- - java.lang.Enum<VideoSink.Kind>
  - - edu.wpi.cscore.VideoSink.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VideoSink.Kind>
  Enclosing class:
    VideoSink

      public static enum VideoSink.Kind
      extends java.lang.Enum<VideoSink.Kind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kCv`
    `kMjpeg`
    `kUnknown`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static VideoSink.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VideoSink.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kUnknown

          public static final VideoSink.Kind kUnknown

    - #### kMjpeg

          public static final VideoSink.Kind kMjpeg

    - #### kCv

          public static final VideoSink.Kind kCv

  - ### Method Detail

    - #### values

          public static VideoSink.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoSink.Kind c : VideoSink.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoSink.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()